<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

set_time_limit(0);
ignore_user_abort(1);

if (!$admin) header('Location: '.ADMIN);

define('TIMESTART', microtime(true));

require_header('Пересчитать показатели');

$sql = mysql_query("SELECT (`path`) FROM `".SQLprefixTable."files` WHERE `size`='0' GROUP BY `path`");
while ($row = mysql_fetch_row($sql)) {
	$dir = mysql_real_escape_string($row[0]);
	mysql_query("UPDATE `".SQLprefixTable."files` SET `count_files`='".mysql_result(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."files` WHERE `infolder` LIKE '".$dir."%' AND `size`>'0'"), 0)."' WHERE `path`='".$dir."'");
}

mysql_query("OPTIMIZE TABLE `".SQLprefixTable."files`");

echo '<div class="menu">
Показатели успешно пересчитаны!<br/>
Страница создана за: '.round(microtime(true) - TIMESTART, 4).'сек
</div>

<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>